scala.tools.nsc.backend.icode.Members

# NoCode

#### object NoCode extends ICodes.Code

Source
  Members.scala

Linear Supertypes
ICodes.Code, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NoCode
2. Code
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def blockCount: Int

   Definition Classes
     Code

6. #### val blocks: ListBuffer[ICodes.BasicBlock]

   The set of all blocks

   The set of all blocks

   Definition Classes
     Code

7. #### def blocksList: List[ICodes.BasicBlock]

   Definition Classes
     NoCode → Code

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### def instructionCount: Int

    Definition Classes
      Code

15. #### def instructions: collection.immutable.List[ICodes.Instruction]

    Definition Classes
      Code

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def newBlock(): ICodes.BasicBlock

    Definition Classes
      Code

19. #### def nextLabel: Int

    Definition Classes
      Code

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def removeBlock(b: ICodes.BasicBlock): Unit

    Definition Classes
      Code

23. #### var startBlock: ICodes.BasicBlock

    The start block of the method

    The start block of the method

    Definition Classes
      Code

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toString(): String

    This methods returns a string representation of the ICode

    This methods returns a string representation of the ICode

    Definition Classes
      Code → AnyRef → Any

26. #### def touched: Boolean

    Definition Classes
      Code

27. #### def touched_=(b: Boolean): Unit

    Definition Classes
      Code

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ICodes.Code

### Inherited from AnyRef

### Inherited from Any

### Ungrouped